package com.steering.pss.judge.model;

/**
 * 数据库表QCM_BC_CHEMJUDGE所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-03-07
 */
@SuppressWarnings("serial")
public class QcmBcChemjudgeEntity implements java.io.Serializable {
    /**
     * 成分判定记录ID
     */
    private String chemJudgeId = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 性能批号
     */
    private String batchNo = "";
    /**
     * 捆号(管号、坯料号)
     */
    private String objectno = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 工序代码(A\B\C\D.....)
     */
    private String processCdoe = "";
    /**
     * 工序名称
     */
    private String processDesc = "";
    /**
     * 判定生产订单号
     */
    private String judgeProorder = "";
    /**
     * 成分判定结果(4074)
     */
    private String judgeresultChem = "";
    /**
     * 成分化验号
     */
    private String assayno = "";
    /**
     * 是否脱单(1：是，0：否)
     */
    private String orderisunchain = "";
    /**
     * 有效标志(1：有效；0：无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 判定人
     */
    private String createName = "";
    /**
     * 判定时间
     */
    private String createTime = "";
    /**
     * 判定申请单号
     */
    private String jugdeApplyCode = "";
    /**
     * 铸造订单编号
     */
    private String proPlanId = "";
    /**
     * DESGIN_KEY
     */
    private String designKey = "";
    /**
     * 全程产线号(COM_MSC_BACKLOG)
     */
    private String mscPline = "";
    /**
     * 成分标准索引号集合(CICN000001)
     */
    private String cic = "";
    /**
     * 试样号(样品号)
     */
    private String sampleNo = "";
    /**
     * 判定序号
     */
    private String judgeSeq = "";
    /**
     * 钢种代码(原)
     */
    private String oldGradecode = "";
    /**
     * 钢种名称(原)
     */
    private String oldGradename = "";
    /**
     * 成分标准索引号集合(内控)(原)
     */
    private String oldCic = "";
    /**
     * 试样类型（1初样 2复样）
     */
    private String sampleType = "";
    /**
     * 合并成分判定结果（单个判定ID汇总的结果）
     */
    private String mergeChemResult = "";
    /**
     * 交付标准判定结果
     */
    private String jfChemResult = "";
    private String ordLnDlyPk = "";
    private String craftSeq = "";
    private String sampleId = "";
    private String judgesteelcode = "";
    private String judgegradecode = "";
    private String craftSource = "";
	

	/**
     * 成分判定记录ID
     * @return value
     */
    public String getChemJudgeId() {
        return chemJudgeId;
    }

    /**
     * 成分判定记录ID
     * @param chemJudgeId value
     */
    public void setChemJudgeId(String chemJudgeId) {
        this.chemJudgeId = chemJudgeId;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 性能批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 性能批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 捆号(管号、坯料号)
     * @return value
     */
    public String getObjectno() {
        return objectno;
    }

    /**
     * 捆号(管号、坯料号)
     * @param objectno value
     */
    public void setObjectno(String objectno) {
        this.objectno = objectno;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @return value
     */
    public String getProcessCdoe() {
        return processCdoe;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @param processCdoe value
     */
    public void setProcessCdoe(String processCdoe) {
        this.processCdoe = processCdoe;
    }

    /**
     * 工序名称
     * @return value
     */
    public String getProcessDesc() {
        return processDesc;
    }

    /**
     * 工序名称
     * @param processDesc value
     */
    public void setProcessDesc(String processDesc) {
        this.processDesc = processDesc;
    }

    /**
     * 判定生产订单号
     * @return value
     */
    public String getJudgeProorder() {
        return judgeProorder;
    }

    /**
     * 判定生产订单号
     * @param judgeProorder value
     */
    public void setJudgeProorder(String judgeProorder) {
        this.judgeProorder = judgeProorder;
    }

    /**
     * 成分判定结果(4074)
     * @return value
     */
    public String getJudgeresultChem() {
        return judgeresultChem;
    }

    /**
     * 成分判定结果(4074)
     * @param judgeresultChem value
     */
    public void setJudgeresultChem(String judgeresultChem) {
        this.judgeresultChem = judgeresultChem;
    }

    /**
     * 成分化验号
     * @return value
     */
    public String getAssayno() {
        return assayno;
    }

    /**
     * 成分化验号
     * @param assayno value
     */
    public void setAssayno(String assayno) {
        this.assayno = assayno;
    }

    /**
     * 是否脱单(1：是，0：否)
     * @return value
     */
    public String getOrderisunchain() {
        return orderisunchain;
    }

    /**
     * 是否脱单(1：是，0：否)
     * @param orderisunchain value
     */
    public void setOrderisunchain(String orderisunchain) {
        this.orderisunchain = orderisunchain;
    }

    /**
     * 有效标志(1：有效；0：无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1：有效；0：无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 判定人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 判定人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 判定时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 判定时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 判定申请单号
     * @return value
     */
    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    /**
     * 判定申请单号
     * @param jugdeApplyCode value
     */
    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    /**
     * 铸造订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 铸造订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * DESGIN_KEY
     * @return value
     */
    public String getDesignKey() {
        return designKey;
    }

    /**
     * DESGIN_KEY
     * @param designKey value
     */
    public void setDesignKey(String designKey) {
        this.designKey = designKey;
    }

    /**
     * 全程产线号(COM_MSC_BACKLOG)
     * @return value
     */
    public String getMscPline() {
        return mscPline;
    }

    /**
     * 全程产线号(COM_MSC_BACKLOG)
     * @param mscPline value
     */
    public void setMscPline(String mscPline) {
        this.mscPline = mscPline;
    }

    /**
     * 成分标准索引号集合(CICN000001)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号集合(CICN000001)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 试样号(样品号)
     * @return value
     */
    public String getSampleNo() {
        return sampleNo;
    }

    /**
     * 试样号(样品号)
     * @param sampleNo value
     */
    public void setSampleNo(String sampleNo) {
        this.sampleNo = sampleNo;
    }

    /**
     * 判定序号
     * @return value
     */
    public String getJudgeSeq() {
        return judgeSeq;
    }

    /**
     * 判定序号
     * @param judgeSeq value
     */
    public void setJudgeSeq(String judgeSeq) {
        this.judgeSeq = judgeSeq;
    }

    /**
     * 钢种代码(原)
     * @return value
     */
    public String getOldGradecode() {
        return oldGradecode;
    }

    /**
     * 钢种代码(原)
     * @param oldGradecode value
     */
    public void setOldGradecode(String oldGradecode) {
        this.oldGradecode = oldGradecode;
    }

    /**
     * 钢种名称(原)
     * @return value
     */
    public String getOldGradename() {
        return oldGradename;
    }

    /**
     * 钢种名称(原)
     * @param oldGradename value
     */
    public void setOldGradename(String oldGradename) {
        this.oldGradename = oldGradename;
    }

    /**
     * 成分标准索引号集合(内控)(原)
     * @return value
     */
    public String getOldCic() {
        return oldCic;
    }

    /**
     * 成分标准索引号集合(内控)(原)
     * @param oldCic value
     */
    public void setOldCic(String oldCic) {
        this.oldCic = oldCic;
    }

    /**
     * 试样类型（1初样 2复样）
     * @return value
     */
    public String getSampleType() {
        return sampleType;
    }

    /**
     * 试样类型（1初样 2复样）
     * @param sampleType value
     */
    public void setSampleType(String sampleType) {
        this.sampleType = sampleType;
    }

    /**
     * 合并成分判定结果（单个判定ID汇总的结果）
     * @return value
     */
    public String getMergeChemResult() {
        return mergeChemResult;
    }

    /**
     * 合并成分判定结果（单个判定ID汇总的结果）
     * @param mergeChemResult value
     */
    public void setMergeChemResult(String mergeChemResult) {
        this.mergeChemResult = mergeChemResult;
    }

    /**
     * 交付标准判定结果
     * @return value
     */
    public String getJfChemResult() {
        return jfChemResult;
    }

    /**
     * 交付标准判定结果
     * @param jfChemResult value
     */
    public void setJfChemResult(String jfChemResult) {
        this.jfChemResult = jfChemResult;
    }
    
    public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	public String getCraftSeq() {
		return craftSeq;
	}

	public void setCraftSeq(String craftSeq) {
		this.craftSeq = craftSeq;
	}
	
	public String getSampleId() {
		return sampleId;
	}

	public void setSampleId(String sampleId) {
		this.sampleId = sampleId;
	}
	
	public String getJudgesteelcode() {
		return judgesteelcode;
	}

	public void setJudgesteelcode(String judgesteelcode) {
		this.judgesteelcode = judgesteelcode;
	}

	public String getJudgegradecode() {
		return judgegradecode;
	}

	public void setJudgegradecode(String judgegradecode) {
		this.judgegradecode = judgegradecode;
	}
	
	public String getCraftSource() {
		return craftSource;
	}

	public void setCraftSource(String craftSource) {
		this.craftSource = craftSource;
	}
}
